@import 'variables'

.home
  height calc(100% - 135px)
  overflow hidden
  padding 0 0 72px
  width 100%

  &-footer
    align-items center
    background-color $list-grey
    border 0
    bottom 0
    box-shadow 0 -3px 3px -3px $ruler
    display flex
    height 72px
    justify-content center
    left 0
    padding 0 63px 0 72px
    position absolute
    width calc(100% - 135px)

.repertoire
  display flex
  flex-flow column nowrap
  height calc(100% - 36px)
  overflow-y auto
  padding 18px 45px 18px 90px

  & li:focus
    border 0
    outline 0

  &.grid
    flex-flow row wrap

    & li
      height 360px
      margin 10px
      width 279px

  &.list

    & li
      margin 0 auto

      &:first-child
        margin 0 auto 0 29px

  &::-webkit-scrollbar
    width 0

  &-item
    border-radius 5px
    display flex
    flex-flow column nowrap
    height 360px
    position relative
    width 279px

    &:hover
      box-shadow 0 1px 2px 0 $shadow-dark, 0 1px 3px 1px $shadow-dark-outer

    &:focus
      border 0
      box-shadow 0 1px 2px 0 $shadow-dark, 0 1px 3px 1px $shadow-dark-outer
      outline 0

    &-actions
      align-items center
      display flex
      height 18px
      justify-content space-around
      position absolute
      right 9px
      top 9px
      width 40px

      & svg
        height 18px
        overflow hidden
        width 18px

        &.small
          height 12px
          width 12px

    &-body
      display flex
      flex-flow column nowrap
      margin 27px 0 0

    &-title
      font-size 18px
      margin 27px 9px 9px 18px

    &-preview
      font-size 16px
      height 200px
      line-height 125%
      margin 9px 9px 4.5px 18px
      overflow hidden
      position relative

      & .fade-overflow
        bottom 0
        left 0
        margin 0
        padding 30px 0
        position absolute
        width 100%

    &-bars
      align-items center
      align-self flex-end
      border 1px
      border-radius 50%
      border-style solid
      display flex
      font-size 14px
      height 26px
      justify-content center
      margin 4.5px 18px 0 0
      width 26px

      &.large
        height 32px
        padding-right 1px
        width 32px

      &.xlarge
        height 38px
        padding 0 2px
        width 34px

    &-list-container
      align-items center
      display flex
      height calc(360px * 1.25)
      justify-content space-around
      margin 0 auto
      width calc(279px * 2.5)

      & h3
        font-weight normal

        & b
          margin 0 4.5px 0 0

      & .repertoire-item
        justify-content space-around

    &-info
      align-content center
      display flex
      flex-flow column wrap
      height 65%
      justify-content space-around

    &.new
      align-items center
      border 1px dashed darkgrey
      height 358px
      justify-content center
      width 277px

    &-edit-modal
      align-items center
      border-radius 15px
      display flex
      flex-flow column nowrap
      font-family monospace
      height 540px
      justify-content flex-start
      left 50%
      position absolute
      top 50%
      transform translate(-50%, -50%)
      width 540px

      &:focus
        outline 0

      &-overlay
        background-color $overlay
        bottom 0
        left 0
        opacity 0
        position fixed
        right 0
        top 0
        transition opacity 500ms ease-in-out

        &--after-open
          opacity 1
        &--before-open
          opacity 0

      &-submit
        bottom 54px
        position absolute

        & button[type=submit]
          background-color $icon-dark
          border-radius 5px
          color $text-light
          cursor pointer
          font-size 18px
          height 36px
          text-align center
          vertical-align middle
          width 189px

          &:hover
            text-decoration none

          &:focus
            outline 0

    &-erase-modal
      align-items center
      background-color transparent
      border 2px solid $text-light
      border-radius 15px
      color $text-light
      display flex
      flex-flow column nowrap
      height 419px
      justify-content center
      left 50%
      position absolute
      top 50%
      transform translate(-50%, -50%)
      width 419px

      &:focus
        outline 0

      & .prompt
        margin 0 0 63px
        max-width 378px

      & .actions
        align-items center
        display flex
        flex-flow column nowrap
        height 110px
        justify-content space-around
        width 110px

        & button
          border-radius 5px
          height 45px
          text-align center
          width 90px

          &.cancel
            background-color $dab-red
          &.confirm
            background-color $dab-green

      &-overlay
        background-color $overlay-dark
        bottom 0
        left 0
        opacity 0
        position fixed
        right 0
        top 0
        transition opacity 250ms ease-in-out

        &--after-open
          opacity 1
        &--before-open
          opacity 0

  &-control
    height 54px
    width 54px

    & svg
      height 27px
      width 27px

#create
  align-items center
  cursor pointer
  display flex
  flex-flow column nowrap
  height 180px
  justify-content center
  width 180px

  & .cross
    border 1px dashed darkgrey
    border-bottom 0
    height 75px
    margin 0 0 32px
    position relative
    width 30px

    &:after
      border 1px dashed darkgrey
      border-right 0
      content ''
      height 30px
      left -75px
      position absolute
      top 75px
      width 75px

  & .crossm
    border 1px dashed darkgrey
    border-bottom 0
    height 75px
    margin 0
    position relative
    transform scale(-1, -1)
    width 30px

    &:after
      border 1px dashed darkgrey
      border-right 0
      content ''
      height 30px
      left -75px
      position absolute
      top 72px
      width 75px
